Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestEffectBeacon.h	(revision 10817)
@@ -96,6 +96,6 @@
             virtual ~QuestEffectBeacon();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestEffectBeacon object through XML.
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestEffectBeacon object through XML.
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             bool execute(bool bTriggered, BaseObject* trigger); //!< Executes the QuestEffects of the QuestEffectBeacon.
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestHint.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestHint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestHint.h	(revision 10817)
@@ -85,5 +85,5 @@
             virtual ~QuestHint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestHint object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestHint object through XML.
 
             bool isActive(const PlayerInfo* player) const; //!< Returns true if the QuestHint is active for the input player.
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestItem.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestItem.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestItem.h	(revision 10817)
@@ -63,5 +63,5 @@
             virtual ~QuestItem();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestItem object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestItem object through XML.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/QuestListener.h	(revision 10817)
@@ -90,5 +90,5 @@
             virtual ~QuestListener();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestListener object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a QuestListener object through XML.
 
             static void advertiseStatusChange(std::list<QuestListener*> & listeners, const std::string & status); //!< Makes all QuestListener in the list aware that a certain status change has occured.
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuest.h	(revision 10817)
@@ -62,7 +62,7 @@
         virtual ~AddQuest();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuest object through XML.
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddQuest object through XML.
 
-        virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+        virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddQuestHint.h	(revision 10817)
@@ -64,7 +64,7 @@
             virtual ~AddQuestHint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuestHint object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddQuestHint object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
         private:
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/AddReward.h	(revision 10817)
@@ -68,7 +68,7 @@
             virtual ~AddReward();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddReward object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a AddReward object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
         private:
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/ChangeQuestStatus.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/ChangeQuestStatus.h	(revision 10817)
@@ -59,5 +59,5 @@
             virtual ~ChangeQuestStatus();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a ChangeQuestStatus object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a ChangeQuestStatus object through XML.
 
             virtual bool invoke(PlayerInfo* player) = 0; //!< Invokes the QuestEffect.
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/CompleteQuest.h	(revision 10817)
@@ -62,7 +62,7 @@
             virtual ~CompleteQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CompleteQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a CompleteQuest object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: /code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/questsystem/effects/FailQuest.h	(revision 10817)
@@ -62,7 +62,7 @@
             virtual ~FailQuest();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a FailQuest object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a FailQuest object through XML.
 
-            virtual bool invoke(PlayerInfo* player); //!< Invokes the QuestEffect.
+            virtual bool invoke(PlayerInfo* player) override; //!< Invokes the QuestEffect.
 
     };
Index: /code/branches/cpp11_v2/src/modules/tetris/Tetris.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/Tetris.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/tetris/Tetris.h	(revision 10817)
@@ -58,11 +58,11 @@
             virtual ~Tetris(); //!< Destructor. Cleans up, if initialized.
 
-            virtual void start(void); //!< Starts the Tetris minigame.
-            virtual void end(void); ///!< Ends the Tetris minigame.
+            virtual void start(void) override; //!< Starts the Tetris minigame.
+            virtual void end(void) override; ///!< Ends the Tetris minigame.
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void spawnPlayer(PlayerInfo* player); //!< Spawns the input player.
-            virtual bool playerLeft(PlayerInfo* player);
+            virtual void spawnPlayer(PlayerInfo* player) override; //!< Spawns the input player.
+            virtual bool playerLeft(PlayerInfo* player) override;
 
             void setCenterpoint(TetrisCenterpoint* center);
@@ -77,5 +77,5 @@
 
         protected:
-            virtual void spawnPlayersIfRequested(); //!< Spawns player.
+            virtual void spawnPlayersIfRequested() override; //!< Spawns player.
 
 
Index: /code/branches/cpp11_v2/src/modules/tetris/TetrisBrick.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/TetrisBrick.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/tetris/TetrisBrick.h	(revision 10817)
@@ -57,7 +57,7 @@
             virtual ~TetrisBrick() {}
 
-            virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void changedPlayer(); //!< Is called when the player changed.
+            virtual void moveFrontBack(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void moveRightLeft(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void changedPlayer() override; //!< Is called when the player changed.
 
             bool isValidMove(const Vector3& position, bool isRotation);
Index: /code/branches/cpp11_v2/src/modules/tetris/TetrisCenterpoint.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/TetrisCenterpoint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/tetris/TetrisCenterpoint.h	(revision 10817)
@@ -62,5 +62,5 @@
             virtual ~TetrisCenterpoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a TetrisCenterpoint through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method to create a TetrisCenterpoint through XML.
 
             /**
Index: /code/branches/cpp11_v2/src/modules/tetris/TetrisScore.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/tetris/TetrisScore.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/tetris/TetrisScore.h	(revision 10817)
@@ -60,7 +60,7 @@
             virtual ~TetrisScore();
 
-            virtual void tick(float dt); //!< Creates and sets the caption to be displayed by the TetrisScore.
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner(); //!< Is called when the owner changes.
+            virtual void tick(float dt) override; //!< Creates and sets the caption to be displayed by the TetrisScore.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override; //!< Is called when the owner changes.
 
         private:
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefense.h	(revision 10817)
@@ -53,8 +53,8 @@
         virtual ~TowerDefense();        
         void addTowerDefenseEnemy(int templatenr);
-        virtual void start(); //<! The function is called when the gametype starts
-        virtual void end();
-        virtual void tick(float dt);
-        virtual void spawnPlayer(PlayerInfo* player);
+        virtual void start() override; //<! The function is called when the gametype starts
+        virtual void end() override;
+        virtual void tick(float dt) override;
+        virtual void spawnPlayer(PlayerInfo* player) override;
         PlayerInfo* getPlayer(void) const;
         int getCredit(){ return this->credit_; }
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 10817)
@@ -52,5 +52,5 @@
             virtual ~TowerDefenseCenterpoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /**
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseEnemy.h	(revision 10817)
@@ -37,5 +37,5 @@
         //health gibt es unter: health_
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
         virtual void damage(float damage, float healthdamage, float shielddamage, Pawn* originator);
 
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseField.h	(revision 10817)
@@ -62,5 +62,5 @@
             TowerDefenseField(Context* context);
             virtual ~TowerDefenseField() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             const bool isFree() const
                 { return type_==FREE; }
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseHUDController.h	(revision 10817)
@@ -53,7 +53,7 @@
 
 
-        virtual void tick(float dt);
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void changedOwner() override;
         void setShowlives(bool temp)
             { this->showlives = temp; }
Index: /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseSelecter.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseSelecter.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/towerdefense/TowerDefenseSelecter.h	(revision 10817)
@@ -41,14 +41,14 @@
             TowerDefenseSelecter(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~TowerDefenseSelecter();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);         
-            virtual void tick(float dt);            
-            virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;         
+            virtual void tick(float dt) override;            
+            virtual void moveFrontBack(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void moveRightLeft(const Vector2& value) override; //!< Overloaded the function to steer the bat up and down.
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
             void fire(unsigned int firemode);
-            virtual void fired(unsigned int firemode);
-            virtual void boost(bool bBoost);
+            virtual void fired(unsigned int firemode) override;
+            virtual void boost(bool bBoost) override;
             virtual void setSelectedPosition(TDCoordinate* newPos);
             virtual void setSelectedPosition(int x, int y);
Index: /code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/IceGunFreezer.h	(revision 10817)
@@ -55,5 +55,5 @@
             IceGunFreezer(Context* context);
             virtual ~IceGunFreezer();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             virtual void startFreezing();
             virtual void stopFreezing();
Index: /code/branches/cpp11_v2/src/modules/weapons/RocketController.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/RocketController.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/RocketController.cc	(revision 10817)
@@ -38,4 +38,5 @@
 #include "projectiles/SimpleRocket.h"
 #include "weaponmodes/SimpleRocketFire.h"
+#include "core/CoreIncludes.h"
 
 namespace orxonox
Index: /code/branches/cpp11_v2/src/modules/weapons/RocketController.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/RocketController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/RocketController.h	(revision 10817)
@@ -55,5 +55,5 @@
             virtual ~RocketController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             /**
             @brief Get the rocket that is controlled by this controller.
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/BillboardProjectile.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/BillboardProjectile.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/BillboardProjectile.h	(revision 10817)
@@ -61,5 +61,5 @@
             virtual void setMaterial(const std::string& material);
             virtual const std::string& getMaterial();
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBomb.h	(revision 10817)
@@ -41,7 +41,7 @@
             GravityBomb(Context* context);
             virtual ~GravityBomb();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
             void detonate();
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/GravityBombField.h	(revision 10817)
@@ -39,5 +39,5 @@
     GravityBombField(Context* context);
     virtual ~GravityBombField();
-    virtual void tick(float dt);
+    virtual void tick(float dt) override;
     virtual void destroy();
 
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/IceGunProjectile.h	(revision 10817)
@@ -62,5 +62,5 @@
 
         protected:
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
         private:         
             float freezeTime_; //The duration of the freezing effect on a target
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/LightningGunProjectile.h	(revision 10817)
@@ -58,5 +58,5 @@
             virtual ~LightningGunProjectile() {}
 
-            virtual void setMaterial(const std::string& material);
+            virtual void setMaterial(const std::string& material) override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/ParticleProjectile.h	(revision 10817)
@@ -53,5 +53,5 @@
             ParticleProjectile(Context* context);
             virtual ~ParticleProjectile();
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/Projectile.h	(revision 10817)
@@ -64,6 +64,6 @@
             void setConfigValues();
 
-            virtual void tick(float dt);
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual void tick(float dt) override;
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
         protected:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/Rocket.h	(revision 10817)
@@ -62,17 +62,17 @@
             virtual ~Rocket();
 
-            virtual void tick(float dt); //!< Defines which actions the Rocket has to take in each tick.
+            virtual void tick(float dt) override; //!< Defines which actions the Rocket has to take in each tick.
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
-            virtual void destroyObject(void);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
+            virtual void destroyObject(void) override;
             void destructionEffect();
 
-            virtual void moveFrontBack(const Vector2& value) {}
-            virtual void moveRightLeft(const Vector2& value) {}
-            virtual void moveUpDown(const Vector2& value) {}
+            virtual void moveFrontBack(const Vector2& value) override {}
+            virtual void moveRightLeft(const Vector2& value) override {}
+            virtual void moveUpDown(const Vector2& value) override {}
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
             /**
@@ -114,7 +114,7 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            virtual void setShooter(Pawn* shooter);
+            virtual void setShooter(Pawn* shooter) override;
 
-            virtual void fired(unsigned int firemode);
+            virtual void fired(unsigned int firemode) override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/RocketOld.h	(revision 10817)
@@ -62,17 +62,17 @@
             virtual ~RocketOld();
 
-            virtual void tick(float dt); //!< Defines which actions the RocketOld has to take in each tick.
+            virtual void tick(float dt) override; //!< Defines which actions the RocketOld has to take in each tick.
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
-            virtual void destroyObject(void);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
+            virtual void destroyObject(void) override;
             void destructionEffect();
 
-            virtual void moveFrontBack(const Vector2& value) {}
-            virtual void moveRightLeft(const Vector2& value) {}
-            virtual void moveUpDown(const Vector2& value) {}
+            virtual void moveFrontBack(const Vector2& value) override {}
+            virtual void moveRightLeft(const Vector2& value) override {}
+            virtual void moveUpDown(const Vector2& value) override {}
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
             /**
@@ -114,7 +114,7 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            virtual void setShooter(Pawn* shooter);
+            virtual void setShooter(Pawn* shooter) override;
 
-            virtual void fired(unsigned int firemode);
+            virtual void fired(unsigned int firemode) override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/projectiles/SimpleRocket.h	(revision 10817)
@@ -62,17 +62,17 @@
             SimpleRocket(Context* context);
             virtual ~SimpleRocket();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
             void disableFire(); //!< Method to disable the fire and stop all acceleration
 
-            virtual void moveFrontBack(const Vector2& value){}
-            virtual void moveRightLeft(const Vector2& value){}
-            virtual void moveUpDown(const Vector2& value){}
+            virtual void moveFrontBack(const Vector2& value) override{}
+            virtual void moveRightLeft(const Vector2& value) override{}
+            virtual void moveUpDown(const Vector2& value) override{}
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
             void setDestroy();
 
@@ -115,5 +115,5 @@
                 { this->rotateRoll(Vector2(value, 0)); }
 
-            virtual void setShooter(Pawn* shooter);
+            virtual void setShooter(Pawn* shooter) override;
 
             inline bool hasFuel() const
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/EnergyDrink.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/EnergyDrink.h	(revision 10817)
@@ -57,6 +57,6 @@
             virtual ~EnergyDrink() {}
 
-            virtual void fire();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void fire() override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/FusionFire.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/FusionFire.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~FusionFire() {}
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
